Package org.eclipse.emf.cdo.ui

# Class DefaultTopicProvider

java.lang.Object
org.eclipse.emf.cdo.ui.DefaultTopicProvider

All Implemented Interfaces:
  `CDOTopicProvider`

public class DefaultTopicProvider extends Object implements CDOTopicProvider

Since:
  4.17
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.ui.CDOTopicProvider

`CDOTopicProvider.Listener, CDOTopicProvider.Topic`

## Constructor Summary

Constructors
Constructor
Description
`DefaultTopicProvider()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addTopic(CDOTopicProvider.Topic topic)`
`void`
`addTopicListener(CDOTopicProvider.Listener listener)`
`CDOTopicProvider.Topic[]`
`getTopics()`
`boolean`
`removeTopic(CDOTopicProvider.Topic topic)`
`void`
`removeTopicListener(CDOTopicProvider.Listener listener)`
`boolean`
`setTopics(Collection<CDOTopicProvider.Topic> topics)`
`boolean`
`setTopics(CDOTopicProvider.Topic... topics)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.ui.CDOTopicProvider

`changeTopic`

## Constructor Details

### DefaultTopicProvider

public DefaultTopicProvider()

## Method Details

### getTopics

public CDOTopicProvider.Topic[] getTopics()

Specified by:
  `getTopics` in interface `CDOTopicProvider`

### setTopics

public boolean setTopics(CDOTopicProvider.Topic... topics)

### setTopics

public boolean setTopics(Collection<CDOTopicProvider.Topic> topics)

### addTopic

public boolean addTopic(CDOTopicProvider.Topic topic)

### removeTopic

public boolean removeTopic(CDOTopicProvider.Topic topic)

### addTopicListener

public void addTopicListener(CDOTopicProvider.Listener listener)

Specified by:
  `addTopicListener` in interface `CDOTopicProvider`

### removeTopicListener

public void removeTopicListener(CDOTopicProvider.Listener listener)

Specified by:
  `removeTopicListener` in interface `CDOTopicProvider`